## labplot 2.12.1+p24.04+vstable+git20250926.1109

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20250926.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:10:13 +0000

labplot (2.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 16 Aug 2025 06:52:10 +0000

labplot (2.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 27 Apr 2025 06:52:10 +0000

## labplot 2.12.1+p24.04+vstable+git20251005.1138

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251005.1138-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:38:34 +0000

## labplot 2.12.1+p24.04+vstable+git20251020.0042

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251020.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:42:37 +0000

## labplot 2.12.1+p24.04+vstable+git20251021.0345

=== tests/backend/XYCurve/CMakeLists.txt ===
option(ENABLE_TEST_BACKEND_XYCURVE "Enable XYCurve Tests" ON)

if(ENABLE_TEST_BACKEND_XYCURVE)
    add_executable (XYCurveTest XYCurveTest.cpp)

    target_link_libraries(XYCurveTest labplotbackendlib labplotlib labplottest)

    add_test(NAME XYCurveTest COMMAND XYCurveTest)
endif()

option(ENABLE_TEST_BACKEND_XYEQUATIONCURVE2 "Enable XYFunctionCurve Tests" ON)

if(ENABLE_TEST_BACKEND_XYEQUATIONCURVE2)
    add_executable (XYFunctionCurveTest XYFunctionCurveTest.cpp)

    target_link_libraries(XYFunctionCurveTest labplotbackendlib labplotlib labplottest)

    add_test(NAME XYFunctionCurveTest COMMAND XYFunctionCurveTest)
endif()

=== tests/import_export/ReadStat/CMakeLists.txt ===
add_executable(ReadStatFilterTest ReadStatFilterTest.cpp)

target_link_libraries(ReadStatFilterTest labplotmetatest)

add_test(NAME ReadStatFilterTest COMMAND ReadStatFilterTest)

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251021.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:45:54 +0000

=== debian/control ===
Source: labplot
Section: math
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: bison,
               cmake (>= 3.17.0~),
               dbc-parser-cpp-dev,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kf6-syntax-highlighting-dev,
               libboost-dev,
               libcantor-dev [amd64 arm64 armhf i386 mips64el],
               libcerf-dev,
               libcfitsio-dev,
               libeigen3-dev,
               libfftw3-dev,
               libgsl-dev,
               libhdf5-dev,
               libixion-dev,
               liblz4-dev,
               libmarkdown2-dev,
               libmatio-dev,
               libnetcdf-dev,
               liborcus-dev,
               liborigin-dev,
               libpoppler-qt6-dev,
               libqt6-advanced-docking-system-dev,
               libqt6qxlsx-dev,
               libreadstat-dev,
               libspectre-dev,
               libvector-blf-dev,
               locales-all <!nocheck>,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-mqtt-dev,
               qt6-serialport-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://labplot.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/labplot.git
Vcs-Browser: https://invent.kde.org/neon/extras/labplot
Maintainer: Neon CI <neon@kde.org>

Package: labplot
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: labplot-data (<< 2.12.0)
Replaces: labplot-data (<< 2.12.0)
Description: interactive graphing and analysis of scientific data
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 Features include:
  - project-based management of data
  - project explorer for management and organization of created objects in
    different folders and sub-folders
  - spreadsheet with basic functionality for manual data entry or for
    generation of uniform and non-uniform random numbers
  - import of external ASCII data into the project for further editing and
    visualization
  - export of spreadsheet to an ASCII file
  - worksheet as the main parent object for plots, labels, etc; supports
    different layouts and zooming functions
  - export of worksheet to different formats (PDF, EPS, PNG, and SVG)
  - great variety of editing capabilities for properties of worksheet and its
    objects
  - cartesian plots, created either from imported or manually created data
    sets or via mathematical equation
  - definition of mathematical formulas is supported by syntax highlighting
    and completion and by the list of thematically grouped mathematical and
    physical constants and functions
  - analysis of plotted data is supported by many zooming and navigation
    features
  - linear and non-linear fits to data, several fit-models are predefined and
    custom models with arbitrary number of parameters can be provided

Package: labplot-dev
Architecture: any
Depends: labplot (= ${source:Version}), ${misc:Depends}
Description: dev files for labplot
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 This contains the dev files for labplot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_REPRODUCIBLE=ON

## labplot 2.12.1+p24.04+vstable+git20251030.0020

=== CMakeLists.txt ===
# see https://community.kde.org/Policies/CMake_Coding_Style
cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR)
project(labplot VERSION 2.12.1 LANGUAGES CXX C)
set(YEAR 2025)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(QT_MAJOR_VERSION 6)
set(QT_MIN_VERSION "6.5.0")
set(QT_VERSION_MAJOR ${QT_MAJOR_VERSION}) # used by QADS
add_definitions(-DQT_DISABLE_DEPRECATED_UP_TO=0x60000)

set(KF_MAJOR_VERSION "6")
set(KF_MIN_VERSION "6.3.0")

set(APPLE_SUPPRESS_X11_WARNING ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
#include(KDEClangFormat)
#include(GenerateExportHeader)
include(FeatureSummary)

# build type: "release", "debug", "debugfull"
string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE REQUIRED COMPONENTS
    Core
    Concurrent
    Gui
#     Qml
#     Quick
#     QuickWidgets
    PrintSupport
    Sql
    Widgets
    Test
)

# building QADS or Xlsx requires Qt${QT_VERSION_MAJOR}GuiPrivate (QADS is required, Xlsx is optional)
find_package(Qt${QT_MAJOR_VERSION}Gui ${QT_MIN_VERSION} CONFIG REQUIRED Private)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    I18n
    IconThemes
    KIO
    TextWidgets
    WidgetsAddons
    XmlGui
    NewStuffCore
    NewStuff
OPTIONAL_COMPONENTS
    DocTools
    Service
    Parts
    Purpose
    SyntaxHighlighting
)

# TODO: make NewStuff optional?
if(KF${KF_MAJOR_VERSION}NewStuff_FOUND)
    add_definitions(-DHAVE_KF_NEW_STUFF)
else()
    message(STATUS "KF NewStuff not found")
endif()
# TODO: service not used?
if(NOT KF${KF_MAJOR_VERSION}Service_FOUND)
    message(STATUS "KF Service not found")
endif()
# TODO: parts not used?
if(NOT KF${KF_MAJOR_VERSION}Parts_FOUND)
    message(STATUS "KF Parts not found")
endif()

if(KF${KF_MAJOR_VERSION}Purpose_FOUND)
    add_definitions(-DHAVE_PURPOSE)
endif()

if(KF${KF_MAJOR_VERSION}SyntaxHighlighting_FOUND)
    add_definitions(-DHAVE_KF_SYNTAX_HIGHLIGHTING)
else()
    message(STATUS "KF SyntaxHighlighting not found")
endif()

find_package(KF${KF_MAJOR_VERSION}UserFeedback QUIET)
if(KF${KF_MAJOR_VERSION}UserFeedback_FOUND)
    message(STATUS "Found KF${KF_MAJOR_VERSION}UserFeedback")
    add_definitions(-DHAVE_KUSERFEEDBACK)
else()
    message(STATUS "KF${KF_MAJOR_VERSION}UserFeedback not found")
endif()

find_package(BISON REQUIRED)

### compiler flags ######################################
option (ENABLE_COMPILER_OPTIMIZATION "Optimization: -OX" true)
if(${ENABLE_COMPILER_OPTIMIZATION})
    set(COMPILER_OPTIMIZATION_FLAG "-O2")
else()
    set(COMPILER_OPTIMIZATION_FLAG "-O0")
endif()
set (GENERIC_FLAGS "-Wall -Wextra -Wundef -Wpointer-arith -Wunreachable-code -Wunused -Wdeprecated-declarations -fno-omit-frame-pointer -fstack-protector-strong")
#set (GENERIC_GNU_FLAGS "${COMPILER_OPTIMIZATION_FLAG} -Wcast-align -Wswitch-enum -fvisibility=default -pedantic")
set (GENERIC_GNU_FLAGS "${COMPILER_OPTIMIZATION_FLAG} -Wcast-align -Wswitch-enum -fvisibility=default -pedantic -ffunction-sections -fdata-sections -pipe")
if(NOT APPLE)
    set (GENERIC_GNU_LINK_FLAGS "-Wl,--gc-sections -Wl,--as-needed -Wl,--no-undefined")
endif()
set (GENERIC_C_FLAGS "${GENERIC_FLAGS} -fno-exceptions")
# liborigin needs exceptions
set (GENERIC_CXX_FLAGS "${GENERIC_FLAGS} -fexceptions -std=c++17")

if("${CMAKE_C_COMPILER_ID}" MATCHES "GNU")
    message(STATUS "GNU C compiler ${CMAKE_C_COMPILER_VERSION} detected, adding compile flags")
    # -flto is too heavy even with TMPDIR=/dev/shm
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_C_FLAGS} ${GENERIC_GNU_FLAGS}")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${GENERIC_GNU_LINK_FLAGS}")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${GENERIC_GNU_LINK_FLAGS}")
    if(CMAKE_C_COMPILER_VERSION VERSION_GREATER 10.99 AND CMAKE_C_COMPILER_VERSION VERSION_LESS 12)	# GCC 11 fails building readstat 1.1.8
        message(STATUS "Building ReadStat disabled due to GNU C compiler version 11")
        set(DONT_BUILD_READSTAT TRUE)
    endif()
    if(CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL 14) # overwrite -Werror=hardened to not fail
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=hardened")
    endif()
elseif("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    message(STATUS "Clang C compiler ${CMAKE_C_COMPILER_VERSION} detected, adding compile flags")
    # even -flto=thin takes too long
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE ${GENERIC_C_FLAGS} ${GENERIC_GNU_FLAGS}")
    # TRY: -flto=thin -flto-jobs=2
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${GENERIC_GNU_LINK_FLAGS}")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${GENERIC_GNU_LINK_FLAGS}")
elseif("${CMAKE_C_COMPILER_ID}" MATCHES "Intel")
    message(STATUS "Intel C compiler detected, adding compile flags")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE -O3 ${GENERIC_C_FLAGS}")
elseif("${CMAKE_C_COMPILER_ID}" MATCHES "PGI")
    message(STATUS "PGI C compiler detected, adding compile flags")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE -O3 -D__GCC_ATOMIC_TEST_AND_SET_TRUEVAL=1 -Minform=inform -Mbounds -Mchkstk")
# " x" postfix to work around a bug in CMake that causes "MSVC" to translate to something completely different
elseif(("${CMAKE_C_COMPILER_ID} x" MATCHES "MSVC") OR MSVC)
    message(STATUS "MSVC C compiler detected, adding compile flags")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -W3")
    if(CMAKE_BUILD_TYPE STREQUAL Debug)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Od")
    else()
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2")
    endif()
    set(MSVC_FOUND TRUE)
else()
    message(STATUS "UNKNOWN C compiler, adding compile flags")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_C_FLAGS}")
endif()
message(STATUS "CFLAGS =${CMAKE_C_FLAGS}")

if("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
    if(QT_VERSION VERSION_GREATER_EQUAL 6.7.0 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "9")
	# see Qt supported compiler
        message(FATAL_ERROR "Insufficient GNU C++ version ${CMAKE_CXX_COMPILER_VERSION} (Qt 6.7+ requires at least GNU g++ 9)")
    else()
        message(STATUS "GNU C++ compiler ${CMAKE_CXX_COMPILER_VERSION} detected, adding compile flags")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_CXX_FLAGS} ${GENERIC_GNU_FLAGS} -Wzero-as-null-pointer-constant")
	# see linker flags of gcc
    endif()
    if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 14) # overwrite -Werror=hardened to not fail
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=hardened")
    endif()
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
    message(STATUS "Clang C++ compiler ${CMAKE_CXX_COMPILER_VERSION} detected, adding compile flags")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE ${GENERIC_CXX_FLAGS} ${GENERIC_GNU_FLAGS} -Wzero-as-null-pointer-constant")
    # see linker flags of clang
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Intel")
    message(STATUS "Intel C++ compiler detected, adding compile flags")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE ${GENERIC_CXX_FLAGS}")
    #-std=c++0x comes with cmake's general flags, deprecated in icc, remove it
    string(REPLACE "-std=c++0x" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "PGI")
    message(STATUS "PGI C++ compiler detected, adding compile flags")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE -O3 -D__GCC_ATOMIC_TEST_AND_SET_TRUEVAL=1 -Minform=inform -Mbounds -Mchkstk")
# " x" postfix to work around a bug in CMake that causes "MSVC" to translate to something completely different
elseif(("${CMAKE_CXX_COMPILER_ID} x" MATCHES "MSVC") OR MSVC)
    message(STATUS "MSVC C++ compiler detected, adding compile flags")
    # -D_ALLOW_KEYWORD_MACROS for "#define private public" in MultiRangeTest.cpp
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -W3 -DPSAPI_VERSION=1 /Zc:externC-")
    if(CMAKE_BUILD_TYPE STREQUAL Debug)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Od")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
    endif()
    set(MSVC_FOUND TRUE)
else()
    message(STATUS "UNKNOWN C++ compiler, adding compile flags")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_CXX_FLAGS}")
endif()
message(STATUS "CXXFLAGS =${CMAKE_CXX_FLAGS}")

##########################################################

# see also https://wiki.qt.io/Using_QString_Effectively
set(LABPLOT_COMPILE_DEFINITIONS
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if(NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance, unless
    # Qt itself was also built with strict iterators.
    # See example at https://bugreports.qt.io/browse/AUTOSUITE-946
    add_definitions(-DQT_STRICT_ITERATORS)
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
add_definitions(-DLVERSION=\"${labplot_VERSION}\")
add_definitions(-DYEAR=\"${YEAR}\")
add_definitions(-DCXX_COMPILER_ID=\"${CMAKE_CXX_COMPILER_ID}\")
add_definitions(-DCXX_COMPILER_VERSION=\"${CMAKE_CXX_COMPILER_VERSION}\")
add_definitions(-DCXX_COMPILER_FLAGS=\"${CMAKE_CXX_FLAGS}\")
set(BUILD_SHARED_LIBS true)

#cmake_policy(SET CMP0002 OLD)
if(CMAKE_VERSION VERSION_EQUAL "3.3" OR CMAKE_VERSION VERSION_GREATER "3.3")
    cmake_policy(SET CMP0063 NEW)
endif()

if(CMAKE_VERSION VERSION_GREATER "3.5")
  set(ENABLE_CLANG_TIDY OFF CACHE BOOL "Add clang-tidy automatically to builds")
  if(ENABLE_CLANG_TIDY)
    find_program (CLANG_TIDY_EXE NAMES "clang-tidy" PATHS /usr/bin)
    if(CLANG_TIDY_EXE)
      message(STATUS "Clang-tidy supported, found and enabled: ${CLANG_TIDY_EXE}")
      set(CLANG_TIDY_CHECKS "modernize-*,-modernize-use-trailing-return-type,clang-analyzer-*,-clang-analyzer-cplusplus*")
      #set(CLANG_TIDY_CHECKS "-*,modernize-*,clang-analyzer-*")
      # -extra-arg=--std=c++17
      set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE};-checks=${CLANG_TIDY_CHECKS};-header-filter='${CMAKE_SOURCE_DIR}/*'"
        CACHE STRING "" FORCE)
    else()
      message(AUTHOR_WARNING "clang-tidy not found!")
      set(CMAKE_CXX_CLANG_TIDY "" CACHE STRING "" FORCE) # delete it
    endif()
   else()
    message(STATUS "Clang-tidy supported but disabled")
  endif()
endif()

# get git commit hash
execute_process(
  COMMAND git describe --always --tags
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_COMMIT
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
add_definitions(-DGIT_COMMIT=\"${GIT_COMMIT}\")


### Options ######################################
option(ENABLE_CANTOR "Build with Cantor support" ON)
option(ENABLE_FFTW "Build with FFTW support" ON)
option(ENABLE_HDF5 "Build with HDF5 support" ON)
option(ENABLE_NETCDF "Build with NetCDF support" ON)
option(ENABLE_FITS "Build with FITS support" ON)
option(ENABLE_LIBCERF "Build with libcerf support" ON)
option(ENABLE_LIBORIGIN "Build with liborigin support" ON)
option(ENABLE_ROOT "Build with ROOT (CERN) support" ON)
# FreeBSD fails with missing csv.h
if("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
    option(ENABLE_READSTAT "Build with ReadStat support" OFF)
else()

=== tests/backend/Datapicker/CMakeLists.txt ===
option(ENABLE_TEST_BACKEND_DATAPICKER "Enable Datapicker Tests" ON)

if(ENABLE_TEST_BACKEND_DATAPICKER)
    add_executable (DatapickerTest DatapickerTest.cpp)

    target_link_libraries(DatapickerTest labplotbackendlib labplotlib labplottest)

    add_test(NAME DatapickerTest COMMAND DatapickerTest)
endif()

=== tests/import_export/Ods/CMakeLists.txt ===
add_executable(OdsFilterTest OdsFilterTest.cpp)

target_link_libraries(OdsFilterTest labplotmetatest)

add_test(NAME OdsFilterTest COMMAND OdsFilterTest)

=== tests/import_export/ROOT/CMakeLists.txt ===
add_executable(ROOTFilterTest ROOTFilterTest.cpp)

target_link_libraries(ROOTFilterTest labplotmetatest)

add_test(NAME ROOTFilterTest COMMAND ROOTFilterTest)

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251030.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:20:17 +0000

## labplot 2.12.1+p24.04+vstable+git20251031.0255

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:55:46 +0000

## labplot 2.12.1+p24.04+vstable+git20251101.0211

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251101.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 01 Nov 2025 02:11:41 +0000

## labplot 2.12.1+p24.04+vstable+git20251111.0233

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251111.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 02:33:55 +0000

## labplot 2.12.1+p24.04+vstable+git20251112.0202

=== debian/changelog ===
labplot (2.12.1+p24.04+vstable+git20251112.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 02:02:30 +0000
